from machine import Pin  # Import Pin class to control GPIO pins
import time  # Import time module for delays

# Define the GPIO pins for the LED and button
LED_PIN = 2  # On the Xiao ESP32C3, GPIO2 is commonly used for LEDs
BUTTON_PIN = 3  # Choose GPIO3 for the button (check your Xiao ESP32C3 pinout)

# Set up the LED pin as an output and the button pin as an input with pull-down resistor
led = Pin(LED_PIN, Pin.OUT)
button = Pin(BUTTON_PIN, Pin.IN, Pin.PULL_DOWN)

# Main loop
while True:
    button_state = button.value()  # Read the state of the button (1 for HIGH, 0 for LOW)

    if button_state == 1:  # If the button is pressed (HIGH)
        led.value(1)  # Turn the LED on
    else:
        led.value(0)  # Otherwise, turn the LED off

    time.sleep(0.1)  # Small delay for debounce and readability (100 ms)
