// Define the LED pin (D2 on ESP32-S3)
#define LED_PIN D2  

// Define the button pin
#define BUTTON_PIN D4  // Change to the pin you're using for the button

void setup() {
  // Initialize serial communication
  Serial.begin(115200);

  // Configure the LED pin as an output
  pinMode(LED_PIN, OUTPUT);
  digitalWrite(LED_PIN, LOW); // Ensure the LED is initially off

  // Configure the button pin as an input with an internal pull-down resistor
  pinMode(BUTTON_PIN, INPUT_PULLDOWN);

  Serial.println("LED push-down resistor test initialized.");
}

void loop() {
  // Read the state of the button
  int buttonState = digitalRead(BUTTON_PIN);

  // Control the LED based on the button state
  if (buttonState == HIGH) {
    digitalWrite(LED_PIN, HIGH);  // Turn the LED on
    Serial.println("Button is pressed. LED is ON.");
  } else {
    digitalWrite(LED_PIN, LOW);   // Turn the LED off
    Serial.println("Button is not pressed. LED is OFF.");
  }

  // Small delay for debounce and readability
  delay(100);
}

